Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.impl.common
Class ShutdownHelper

    java.lang.Object
      com.sun.enterprise.ee.cms.impl.common.ShutdownHelper

    public class ShutdownHelper

extends Object

Provides support for maintaining information about an impending shutdown announcement either in an instance context or in a group context. An instance of this object is consulted for distinguishing an abnormal failure from a planned shutdown resulting in a failure notification from heart beat agents. Also consulted for determining if a member being suspected has already announced shutdown or there is a group shutdown.

Version:
  $Revision: 1.3 $
Author:
  Shreedhar Ganapathy Date: Sep 21, 2005

Constructor Summary
`ShutdownHelper()`

Method Summary
`void` | `addToGracefulShutdownList(String memberToken)`
`void` | `addToGroupShutdownList(String groupName)`
`boolean` | `isGroupBeingShutdown(String groupName)`
`boolean` | `isMemberBeingShutdown(String memberToken)`
`void` | `removeFromGracefulShutdownList(String memberToken)`
`void` | `removeFromGroupShutdownList(String groupName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShutdownHelper

    public ShutdownHelper()

Method Detail

### isGroupBeingShutdown

    public boolean isGroupBeingShutdown(String groupName)

### isMemberBeingShutdown

    public boolean isMemberBeingShutdown(String memberToken)

### addToGroupShutdownList

    public void addToGroupShutdownList(String groupName)

### addToGracefulShutdownList

    public void addToGracefulShutdownList(String memberToken)

### removeFromGracefulShutdownList

    public void removeFromGracefulShutdownList(String memberToken)

### removeFromGroupShutdownList

    public void removeFromGroupShutdownList(String groupName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.